%define url_ver	%(echo %{version}|cut -d. -f1,2)

Summary:	An interactive Python tool for querying accessibility information
Name:		accerciser
Version:	3.40.0
Release:	%mkrel 1
License:	BSD
Group:		Accessibility
Url:		https://wiki.gnome.org/Accerciser
Source0:	https://download.gnome.org/sources/%{name}/%{url_ver}/%{name}-%{version}.tar.xz
BuildArch:	noarch
BuildRequires:	pkgconfig(atspi-2) >= 2.1.5
BuildRequires:	pkgconfig(gtk+-3.0) >= 3.1.13
BuildRequires:	pkgconfig(pygobject-3.0) >= 2.90.3
BuildRequires:	gettext
BuildRequires:	itstool
BuildRequires:	libxml2-utils
BuildRequires:	yelp-tools
BuildRequires:	pkgconfig(python3)
Requires:	python3-gobject3

%description
An interactive Python accessibility explorer.

%prep
%setup -q

%build
export PYTHON=%{__python3}
%configure2_5x --build=%{_host}
%make_build

%install
%make_install

%find_lang %{name} --with-gnome

%files -f %{name}.lang
%doc AUTHORS README* NEWS
%{_bindir}/%{name}
%{python3_sitelib}/%{name}
%{_datadir}/glib-2.0/schemas/org.a11y.Accerciser.gschema.xml
%{_datadir}/%{name}
%{_datadir}/icons/hicolor/*/apps/%{name}*.*
%{_datadir}/applications/%{name}.desktop
%{_mandir}/man1/*
%{_datadir}/metainfo/*.appdata.xml
%{_datadir}/help

%changelog
* Mon Aug 22 2022 TerryN <terryn94 at gmail.com> 3.40.0-1pclos2022
- update and rebuild for python 3.10

* Thu Mar 05 2020 tex - 3.36.0-1pclos2020
- new version 3.36.0
